FROM python:3.7.5-alpine
RUN pip install --upgrade pip
RUN apk add g++ gcc
COPY ./backend-django backend-django
WORKDIR /backend-django

ENV PYTHONPATH="$PYTHONPATH:/usr/lib/python3.8/dist-packages:/usr/local/lib/python3.8/dist-packages"

COPY ./requirements.txt .
RUN pip install -r requirements.txt 


COPY ./entrypoint.sh /
ENTRYPOINT ["sh", "/entrypoint.sh"]
